%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-jaxrpc-1.1-api
Version:          1.0.0
Release:          %mkrel 2
Summary:          Java API for XML-Based RPC (JAX-RPC) 1.1
Group:            Development/Java
License:          LGPLv2+
Url:              http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/specs/tags/jboss-jaxrpc-api_1.1_spec-1.0.0.Final
# tar czf jboss-jaxrpc-api_1.1_spec-1.0.0.Final-src-svn.tar.gz jboss-jaxrpc-api_1.1_spec-1.0.0.Final
Source0:          jboss-jaxrpc-api_1.1_spec-1.0.0.Final-src-svn.tar.gz
BuildRequires:    jboss-servlet-3.0-api
BuildRequires:    java-devel
BuildRequires:    jboss-specs-parent
BuildRequires:    jpackage-utils
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
Requires:         jboss-servlet-3.0-api
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
Requires:         java
BuildArch:        noarch

%description
The JAX-RPC 1.1 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jaxrpc-api_1.1_spec-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/jboss-jaxrpc-api_1.1_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 355028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131984
- Clean spec file

  + gil <gil>
    - imported package jboss-jaxrpc-1.1-api

